﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Xamarin.Forms;

namespace GridCommands.Portable
{
    public partial class StartPage : ContentPage
    {
        public StartPage()
        {
            InitializeComponent();

            this.DataGrid.ItemsSource = new List<Data>
            {
               new Data { Country = "India", Capital = "New Delhi"},
               new Data { Country = "South Africa", Capital = "Cape Town"},
               new Data { Country = "Nigeria", Capital = "Abuja" },
               new Data { Country = "Singapore", Capital = "Singapore" }
            };
            this.DataGrid.Commands.Add(new CellDoubleTapCommand());

        }
    }

    public class Data
    {
        public string Country { get; set; }

        public string Capital { get; set; }
    }
}